package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussMercOrderDetail implements Serializable {
    private Integer id;

    private Integer shoptrolleyid;

    private String orderno;

    private String code;

    private String name;

    private String desc;

    private BigDecimal price;

    private String devicelogo;

    private String type;

    private Integer num;

    private Integer userid;

    private String logistno;

    private String status;

    private String refundreason;

    private String rejectremark;

    private String refundtype;

    private String expressno;

    private String refundexpressno;

    private BigDecimal refundamt;

    private String refundno;

    private Date refundtime;

    private String refundremark;

    private BigDecimal postage;

    private Date createtime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getShoptrolleyid() {
        return shoptrolleyid;
    }

    public void setShoptrolleyid(Integer shoptrolleyid) {
        this.shoptrolleyid = shoptrolleyid;
    }

    public String getOrderno() {
        return orderno;
    }

    public void setOrderno(String orderno) {
        this.orderno = orderno == null ? null : orderno.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc == null ? null : desc.trim();
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getDevicelogo() {
        return devicelogo;
    }

    public void setDevicelogo(String devicelogo) {
        this.devicelogo = devicelogo == null ? null : devicelogo.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getLogistno() {
        return logistno;
    }

    public void setLogistno(String logistno) {
        this.logistno = logistno == null ? null : logistno.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getRefundreason() {
        return refundreason;
    }

    public void setRefundreason(String refundreason) {
        this.refundreason = refundreason == null ? null : refundreason.trim();
    }

    public String getRejectremark() {
        return rejectremark;
    }

    public void setRejectremark(String rejectremark) {
        this.rejectremark = rejectremark == null ? null : rejectremark.trim();
    }

    public String getRefundtype() {
        return refundtype;
    }

    public void setRefundtype(String refundtype) {
        this.refundtype = refundtype == null ? null : refundtype.trim();
    }

    public String getExpressno() {
        return expressno;
    }

    public void setExpressno(String expressno) {
        this.expressno = expressno == null ? null : expressno.trim();
    }

    public String getRefundexpressno() {
        return refundexpressno;
    }

    public void setRefundexpressno(String refundexpressno) {
        this.refundexpressno = refundexpressno == null ? null : refundexpressno.trim();
    }

    public BigDecimal getRefundamt() {
        return refundamt;
    }

    public void setRefundamt(BigDecimal refundamt) {
        this.refundamt = refundamt;
    }

    public String getRefundno() {
        return refundno;
    }

    public void setRefundno(String refundno) {
        this.refundno = refundno == null ? null : refundno.trim();
    }

    public Date getRefundtime() {
        return refundtime;
    }

    public void setRefundtime(Date refundtime) {
        this.refundtime = refundtime;
    }

    public String getRefundremark() {
        return refundremark;
    }

    public void setRefundremark(String refundremark) {
        this.refundremark = refundremark == null ? null : refundremark.trim();
    }

    public BigDecimal getPostage() {
        return postage;
    }

    public void setPostage(BigDecimal postage) {
        this.postage = postage;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }
}